import { Functional } from '../../../../Class/Functional';
import { Done } from '../../../../Class/Functional/Done';
import { System } from '../../../../system';
export interface I {
    string: string;
}
export interface O {
    json: object;
}
export default class ParseJSON extends Functional<I, O> {
    constructor(system: System);
    f({ string }: I, done: Done<O>): void;
}
